## org.omg.CORBA
Class INV_FLAGHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INV_FLAGHelper

public class INV_FLAGHelper
extends java.lang.Object

Helper class for : INV_FLAG

Author:
  OpenORB Compiler

Constructor Summary
`INV_FLAGHelper()`

Method Summary
`static INV_FLAG` `extract(Any a)` Extract INV_FLAG from an any
`static java.lang.String` `id()` Return the INV_FLAG IDL ID
`static void` `insert(Any a, INV_FLAG t)` Insert INV_FLAG into an any
`static INV_FLAG` `read(InputStream istream)` Read INV_FLAG from a marshalled stream
`static TypeCode` `type()` Return the INV_FLAG TypeCode
`static void` `write(OutputStream ostream, INV_FLAG value)` Write INV_FLAG into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INV_FLAGHelper

    public INV_FLAGHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INV_FLAG t)

  Insert INV_FLAG into an any
  Parameters:
    `a` - an any
    `t` - INV_FLAG value

### extract

    public static INV_FLAG extract(Any a)

  Extract INV_FLAG from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INV_FLAG value

### type

    public static TypeCode type()

  Return the INV_FLAG TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INV_FLAG IDL ID
  Returns:
    an ID

### read

    public static INV_FLAG read(InputStream istream)

  Read INV_FLAG from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INV_FLAG value

### write

    public static void write(OutputStream ostream,
                             INV_FLAG value)

  Write INV_FLAG into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INV_FLAG value